Room Docking_port "Port d'Amarrage"
  with description
    "   C'est l'norme port d'amarrage de la station spatiale. Seul un vaisseau y est  l'heure actuelle, un scooter individuel, donc le port d'amarrage semble exceptionnellement vide. Un tube mne en bas vers le coeur de la station.",
    d_to  Hall_m,
    in_to Hatch,
    enter Hatch;

Object Hatch "coutille"
  with  
    name "porte" "ecoutille" "scooter" "scooter^s" "vaisseau" "metre" "place"
         "acier" "cloison" "plupart",
    before
    [;Examine: print "L'coutille d'acier fait un mtre et est plac sur le scooter elle gouverne vie et mort (dans l'espace, de toute faon) elle est actuellement ";
               if (hatch has open) "ouverte.";
               else "ferme.";
      Open: if ((hatch hasnt open) && (Player in Couch))
              "D'ici vous ne pouvez pas atteindre l'coutille du scooter.";
            if (landtime ~= 20000) 
              "Vous ne pouvez pas ouvrir l'coutille du scooter dans l'espace profond!";
      Close: if ((hatch has open) && (Player in Couch))
              "D'ici vous ne pouvez pas atteindre l'coutille du scooter.";           
      Exit: if (Player in Docking_port) 
              "Vous n'tes pas dans ", (the) Scooter, ".";
    ],
    door_to
    [;if (Location==Scooter) return Docking_port; return Scooter; ],
    door_dir
    [;if (Location==Docking_port) return in_to; return out_to; ],
    found_in Scooter Docking_port,
    has female scenery door openable open;

Room Scooter "Scooter"
  with
    name "spatial" "scooter",
    description
    [;if (landtime == 20000)
        print "   Vous tes  l'troit dans un  Scooter Spatial Classe Huit individuelle, 
avec une couchette pour le pilote. A travers la fentre d'observation, Vous voyez le port d'amarrage de la Station spatiale BG-12. Au-dessous du viewport il y a une fente. ";
      else
      {
        print "   Vous tes  l'troit dans un  Scooter Spatial Classe Huit individuelle,
avec une couchette pour le pilote. A travers la fentre d'observation, vous voyez approcher rapidement la Station Spatiale. Au-dessous de la fentre d'observation il y a une fente. ";
      }

      print "Le scooter  une coutille d'acier qui fait un mtre, elle gouverne vie et mort (dans l'espace, de toute faon) elle est actuellement ";
      if (hatch has open) "ouverte.";
      else "ferme.";
    ],
    out_to Hatch,
    cant_go "C'est seulement un petit scooter individuel: mieux vaut 'sortir'.",
    has enterable;

Object -> ScooterSlot "fente"
  with
    name "fente" "auto" "pilote" "autopilote",
    description
      "Il semble qu'elle peut recevoir une forme de quelque sorte, pour activer le scooter.",
    before
    [; receive: 
       if (noun == SpaceForm) 
       {
         if (Player notin Couch)
           "La forme est rejete. Vous entendez une voix enregistre. ~La scurit par prcaution interdit l'activation du vhicule quand la couchette du pilote n'est pas occup.~";
         
         remove SpaceForm;
         launchtime = spacetime + 29;

         "La forme est aval, suivi d'une longue pause pour le traitement d'une triple configuration. Vous entendez une voix enregistre ~Vaisseau spatial activ. Trajectoire prdfini. Lancement dans 30 millichrons.~"; 
       }

       if (noun has worn)
         "Vous devriez enlever ", (the) noun, " d'abord.";

       if ((noun has big) || (noun has huge))
         "Sans surprise ", (the) noun, " ne va pas dans ", 
          (the) ScooterSlot, ".";

       "", (The) slot, " engloutie ", (the) noun, " et recrache ensuite cel.";
    ],
    has female scenery;   

Object -> Couch "couchette du pilote"
  with
    name "pilote" "pilotes" "couchette" "place" "lit"
         "couchette-pilote" "couchette-du-pilote" "couche"
         "place-du-pilote" "pilote-place" "place-pilotes",
    description "Elle protge le pilote contre les effets d'acclration.",
    before
    [; Exit: if (Player notin Couch) "Vous n'tes pas dans ", (the) Couch, "."; ],
    has female scenery supporter enterable open;      

Object Viewport "fentre d'observation"
  with
    name "vue" "observation" "fenetre" 
         "epais" "plexi" "glasse" "plexiglasse",
    description 
    [; "", (The) Viewport, " est fait de plexiglasse trs pais."; ],
    before
    [;Search: 
      if (Location==Scooter)
      {
        if (landtime == 20000)
          "A travers la fentre d'observation, Vous voyez le port d'amarrage de la Station spatiale BG-12."; 
        "A travers la fentre d'observation, Vous voyez une Station spatiale approcher rapidement. elle est constitue de grand anneau mtallique en rotation lente. Dans le centre il semble qu'il y a un port d'amarrage. Celui ci ne tourne pas, pour tenir compte vraisemblablement un atterrissage facile (Bien en effet il tourne, mais  exactement la mme vitesse que la station spatiale, dans la direction oppose, paraissant ainsi immobile). Le port d'amarrage est connect  la station principale par un long tube mtallique. Vous pouvez aussi discernez un bras articul sur la coque extrieure qui est de temps en temps ncessaire pour maintenir la rotation de la stations ou la manoeuvre loin des dbris spatiaux. Comme il n'y a pas d'air dans l'espace il y a pas de rsistance pour ralentir la station en bas, donc il peut tourner pendant une longue priode sans utiliser son bras articul.";
      }
      "Il semble que ce soit une de ces fentres d'observation fantaisiste o vous pouvez seulement voir  travers.";
      Break: "Mme si vous aviez la force pour le faire, cela signifierait l'ouverture du scooter jusqu'au vide dans l'espace. Cela ne semble pas une si bonne ide.";    
      BreakWith: "Cela ferait ouvrir le scooter jusqu'au vide dans l'espace. Cela ne semble pas une si bonne ide.";    
      ThrownAt:
      if (noun has worn)
        "Vous devriez enlever ", (the) noun, " d'abord.";
      move noun to Scooter;
      if ((noun has big) || (noun has huge)) 
        "Heureusement ", (the) Viewport, " est fait de plexiglasse trs pais, donc ", (the) noun, " n'a aucun effet et tombe inutilement sur le pont.";
      "", (The) noun, " est trop petit pour avoir n'importe quel effet et rebondit ",
       (the) Viewport, " et tombe inutilement sur le pont.";
    ],
    found_in Scooter Docking_Port,
    has female scenery; 
